Subject: compilation of ORBit2 fails
To: None <>
From: Florence HENRY <>
List: tech-pkg
Date: 12/17/2003 14:43:10

I've upgraded my pkgsrc this morning, and the net/ORBit2 package doesn't
compile :

gmake[5]: Leaving directory
(rm -f orbit-interface-common.c || true) > /dev/null
../../../src/idl-compiler/orbit-idl-2 --nostubs --noskels --showcpperrors
--noheaders --deps .deps/orbit-interface.idl.P orbit-interface.idl
orbit-idl-2 2.8.2 compiling
  mode, show preprocessor errors, passes: common skel_impl imodule

gmake[4]: *** No rule to make target `corba-defs-common.c', needed by
`all'.  Stop.
gmake[4]: Leaving directory
gmake[3]: *** [all-recursive] Error 1

It is the ORBit2-2.8.2 version which has been introduced into the pkgsrc
few days ago, but the ORBit2-2.6 (which I tried to compile this morning
before upgrading my pkgsrc with sup) was failing with the same error...

Does anyone manage to compile it ?

Florence HENRY